import { useState } from "@webpack/common";
import "./DeckSidebar.css";

import { cl } from "./util";

enum SidebarTabs {
    ADD_CHANNEL = "add_channel",
    DECKS = "decks",
    CONFIGURE = "configure"
}

export default function DeckSidebar() {
    const [tab, setTab] = useState<SidebarTabs | null>(null);
    const toggleTab = (value) => setTab((current) => current === value ? null : value);
    return <div className={cl("sidebar")} data-tab={tab}>
        <div className={cl("sidebar-items")}>

        </div>
    </div>;
}
