import { classNameFactory } from "@api/Styles";
import { ChannelDeck } from "../ChannelDeckStore";
import { React } from "@webpack/common";
import { proxyLazy } from "@utils/index";

export const cl = classNameFactory("vc-channelDeck-");

export const DeckContext = proxyLazy(() => React.createContext<ChannelDeck | undefined>(undefined));

export const useDeck = () => React.useContext(DeckContext);
